読者です 読者をやめる 読者になる 読者になる

Powershell 5.0の機能をWindows 7で使いたかった

9月15日に日記の方に書いた記事だけど、やはり技術系はこちらにも書いておきたいので転載。

  • Powershell 5.0の機能をWindows 7で使うためにWindows Management Framework(以下WMF) 5.0をインストールしようとする
  • WMF 5.0をインストールするにはWMF 4.0が必要だと知る
  • WMF 4.0をインストールするには.NET Framework 4.5が必要だと知る
  • Windows 7にデフォルトでインストールされている.NET Frameworkは3.5なので、4.5をインストール
  • WMF 4.0をインストール
  • WMF 5.0(Preview)をインストール(ここでつまずく)

WMF 5.0はまだPreviewなので、英語版以外のWindows 7にはインストールできないとの情報があって諦めた。

Windows Management Framework 5.0 - Windows6.1-KB2908075-x64 fails to update Windows 7 Professional SP1 | Microsoft Connect> Are you trying to install the Powershell 5 preview from April 2015 on your windows 7?
What's the language your windows user interface's set up in?
That KB2908075 is the installer from the preview... I wouldn't call it a bug but currently your UI language HAS to be ENG-US before it'll even install that KB.
Note that for Windows 7 it's still a preview or how you want to call it.
I've done the same last week on a 32bit Win7 Enterprise and it also failed untill i installed the eng-us MUI ( my OS interface language was dutch before ) <<

Download CenterのサイトもIEでないとダウンロード出来ないのも地味にイライラポイントだった。
今回Download Centerで一緒に配布されてる資料読めば何が必要か分かったけど、 もしちゃんと読まないでインストーラをダブルクリックしていってたら、 「この更新プログラムはお使いのコンピューターには適用できません」みたいな 無味乾燥なエラーメッセージしか出ないのでそれだけでは何が必要かわからない。
ちなみにdocxをOffice入ってなくてもワードパッドである程度見れるのは初めて知った。